[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TSimpleIPCServer.StopServer

Stop the server

## Declaration

Source position: simpleipc.pp line 202

`public procedure TSimpleIPCServer.StopServer;`

## Description

StopServer stops the server side of the communication channel. It is called automatically when the Active property is set to False. It deactivates the communication channel and frees the internal communication object (a TIPCServerComm descendent).

## See also

TIPCServerComm |  | Internal message communication component
Active |  | Communication channel active
ServerID |  | Unique server identification
StartServer |  | Start the server